Subject: PROCEDURE and PUZZLE: Converting DN3500 into X terminal
From: [email-masked] (VK4FCW)
Date: 10 Feb 93 02:22:42 GMT
Newsgroups: comp.sys.apollo

1. Background
-------------
I posted a summary on converting DN3500 workstations into X terminals
in this newsgroup on 23 October 1992. 

In spite of several helpful hints from the resourceful people on the
Network, I have never been able to convert a diskless Apollo workstation 
into an X terminal (I am thankful for the comments from a number of users 
that I have received since I had posted my original message). And what is 
even more mysterious - only SOME diskful Apollos have "accepted" to be 
converted into X terminals.

This report aims to:

  * Summarize steps for the conversion of an 
    DN3500 workstation into an X terminal.

  * Serve as a reference for similar tasks.

  * Warn about possible problems even when
    everything seems to be correct!? (I wish
    I had the answer.)

  * Serve as an entry-point for possible discussion
    on problems I have experienced.

I am not an expert on DomainOS and my knowledge of Apollos is limited.

2. X terminal emulation
-----------------------
Scenario is as follows: 

 - Diskful Apollo DN3500 workstation running DomainOS 10.4.

 - Xdm provider is a Sun workstation running SunOS 4.1.3.

Tne following steps should be performed:
 
   Apollo workstation 
   ==================
   1 Create the "snf" fonts stored in an appropriate 
      directory using "bdftosnf" program:

      # bdftosnf $i >$i.snf   (example!)
      # cp *.snf any_dir 

   2  # touch /etc/daemons/Xdomain

   3 Modify "/etc/rc": 

     if [ -f /etc/daemons/Xapollo -o -f /etc/daemons/X -o -f /etc/daemons/xdm \
          -o -f /etc/daemons/vue -o -f /etc/daemons/Xdomain ]; then
        if [ -f /etc/vuerc -a -f /usr/X11/lib/vue/etc/vuelogin \
                -a \( -f /etc/daemons/vue -o -f /etc/daemons/xdm \) ]; then
                ( echo " vuelogin\c" > /dev/console )
                ( /etc/vuerc )&
        elif [ -f /etc/xdm -a -f /etc/daemons/xdm ]; then
                (echo " xdm\c" >/dev/console)
                (/etc/xdm) &
        elif [ -f /etc/Xdomain -a -f /etc/daemons/Xdomain ]; then
                (echo " Xdomain\c" >/dev/console)
                (/etc/Xdomain bc -fp /usr/local/X11/lib/X11/fonts/misc,\
                /usr/local/X11/lib/X11/fonts/100dpi,\
                /usr/local/X11/lib/X11/fonts/75dpi -query `cat /etc/xdmserver`)&
        elif [ -f /etc/Xapollo -a -f /etc/daemons/X ]; then
                (echo " X\c" >/dev/console)
                if [ -f /bin/nice ]; then
                        (/bin/nice --5 /etc/Xapollo -D1 S+r+ ) &
                else
                        (echo "Sorry. Cannot start Xapollo. No /bin/nice available.\c" >/dev/console)
                fi
        elif [ -f /etc/Xapollo -a -f /etc/daemons/Xapollo ]; then
                (echo " Xapollo\c" >/dev/console)
                if [ -f /bin/nice ]; then
                        (/bin/nice --5 /etc/Xapollo -K /usr/X11/lib/keyboard/keyboard.config -D1 s+r-) &
                else
                        (echo "Sorry. Cannot start Xapollo. No /bin/nice available.\c" >/dev/console)
                fi
        fi
fi
(echo "." >/dev/console)

   4 Edit file "/etc/xdmserver" so that it contains the name of 
     the host to which the X terminal is connected.

   5 Edit file "/etc/X0.hosts" to add "/etc/xdmserver" contents.

   Xdm provider workstation 
   ========================
   1 Make sure that "xdm" access is not restricted.
    In my case the file is "/slocal/etc/xdm/Xservers".

3. Problem 
----------
So far, I have managed to convert two diskful DN3500 workstations into X 
terminals.

The problem is the third diskful workstation and one diskless workstation.
No matter what I do, they simply refuse to start "Xdomain" process properly.
What happens is that root window and pointer get displayed (stipple pattern
on the entire screen with the "X" cursor in the middle), but no terminal 
window appears.

I am puzzled and feel quite disturbed because of the following:

  - ALL THREE diskful DN3500 have the same configuration:
    a Winchester disk, 8 Mb of memory and plenty of free
    disk space.
 
  - ALL THREE diskful DN3500 workstations have been set in
    the same manner. They all run the same set of programs
    and daemons under DomainOS 10.4.

  - ALL THREE diskful DN3500 workstations have local
    copies of all system files (no symbolic links!).

  - ALL THREE diskful DN3500 workstations are on the
    same network.

And yet, one of them cannot start "Xdomain". I enclose herewith
a copy of the tcpdump(1) run on the Xdm server (a Sun server called
"zumz").

   Case 1: Successful DN3500 when "Xdomain" starts
   ===============================================
10:16:25.490003 arp who-has zumz tell portal
10:16:49.430519 portal.1026 > zumz.177: udp 7
10:17:28.267639 portal.1026 > zumz.177: udp 53
10:17:28.329193 portal.1026 > zumz.177: udp 29
10:17:28.448951 portal.6000 > zumz.2300: R 729210771:729210771(0) win 9116
10:17:28.450989 portal.6000 > zumz.2302: R 729241493:729241493(0) win 9116
10:17:28.926824 portal.6000 > zumz.2269: P 729366535:729366731(196) ack 335424049 win 9116
10:17:29.005560 portal.6000 > zumz.2269: P 196:228(32) ack 49 win 9116
10:17:29.409187 portal.6000 > zumz.2270: P 729366728:729366924(196) ack 335552049 win 9116
10:17:29.425596 portal.6000 > zumz.2270: P 196:228(32) ack 49 win 9116
10:17:29.714997 portal.6000 > zumz.2270: P 228:260(32) ack 361 win 9116
10:17:29.722040 portal.6000 > zumz.2270: . ack 362 win 9116
10:17:29.727260 portal.6000 > zumz.2270: F 260:260(0) ack 362 win 9116
10:17:29.851953 portal.6000 > zumz.2271: S 729366920:729366920(0) ack 335680001 win 9116 <mss 1420>
10:17:29.933530 portal.6000 > zumz.2271: P 197:505(308) ack 97 win 9116
10:17:29.977686 portal.6000 > zumz.2271: P 505:537(32) ack 121 win 9116
10:17:30.112342 portal.6000 > zumz.2271: P 537:569(32) ack 141 win 9116
10:17:30.125227 portal.6000 > zumz.2271: P 569:601(32) ack 149 win 9116
10:17:30.140306 portal.6000 > zumz.2271: P 601:633(32) ack 153 win 9116

   Case 2: Unsuccessful DN3500 when "Xdomain" starts
   =================================================
11:28:56.082696 alpha.1060 > zumz.177: udp 7
11:28:58.777065 alpha.1060 > zumz.177: udp 61
11:28:58.800961 alpha.1060 > zumz.177: udp 29
11:29:00.815585 alpha.1060 > zumz.177: udp 29
11:29:04.832601 alpha.1060 > zumz.177: udp 29
11:29:12.850494 alpha.1060 > zumz.177: udp 29
11:29:28.852964 alpha.1060 > zumz.177: udp 29
11:30:32.872594 alpha.1060 > zumz.177: udp 29

For some reason, Apollo host "alpha" never starts talking on port 6000 
(X11 port).

I have also checked the following:

   * Networking (TCP/IP). I can ping,
     rlogin, rsh without problems.

   * Xdm provider (in my case a Sun workstation)
     does not restrict "xdm" services to any
     Apollo workstation on our network. 

   * The xdm error log files (no errors!).

What can be wrong? Why is one Apollo failing all the time? Any idea?

4. Conclusion
-------------
The procedure seems to work fine for some(!!?) diskful DN3500. 
Diskless and some diskful Apollos are still not usable (or at least 
we do not know how to convert them) as X terminals.

Maybe someone on the network can help us. It might be good for many sites.
As always, I shall post a summary if we find a solution. Thank you
for your time to read this and maybe help.

Best wishes,

Dusan 
The Department of Computer Science       E-mail: [email-masked]
The University of Qld, 4072, Australia  
--
Dusan U Baljevic, Systems Programmer     Ph. (07) 365 2864 
The Department of Computer Science       E-mail: [email-masked]
The University of Qld, 4072, Australia   Amateur Radio: VK4FCW 
--

From: [email-masked] (Ulrich Neumerkel)
Subject: Xdomain, running Apollos as X-terminals a fix
Date: 18 Oct 1996 10:35:53 GMT

ftp://ftp.wfu.edu/usenet/apollo/doc/apollo-as-xterm describes how to
use an Apollo as a X-terminal.

One some machines this does not work.  That means only the
X-background and cursor comes up.  But no login prompt.
In this case the following works: Put in the Xservers file of the
machine  to log in. the entry:  

my_glorious_apollo:0 foreign

Hosts and such must indeed be set.  Reboot the xdm, and enjoy.